# Z-Lab Kurs Arduino-Grundlagen
## Übersicht

In diesem Kurs lernen wir, einen Mikrocontroller zu Programmieren und ein paar Sachen, die man dann damit machen kann.

Und hier gehts dann zu den einzelnen Übungen:
* [Übung 1: Grundstruktur](01_Grundstruktur/)  
Zuerst lernen wir die Grundstruktur eines Arduino-Programms und wie wir das Programm in Maschinensprache übersetzen und auf den Arduino laden.
* [Übung 2: Blinken](02_Blinken/)  
Danach lernen wir, wie wir die auf dem Arduino feste eingebaute LED zum Blinken bringen.  
* [Übung 3: Externe LED](03_Externe_LED/)  
Das Ganze machen wir dann noch mit einer externen LED, hier lernst du das Breadboard kennen
* [Übung 4: Piepser](04_Piepser/)
In Übrung 4 erzeugen wir Töne mit dem Arduino
* [Übung 3: Lichtsensor](05_Lichtsensor/)
Hier lernst du, wie ein Lichtsensor verwendet werden kann
* [Übung 3: Schalter](06_Schalter/)
Und natürlich müssen wir auch wissen, wie Schalter funktionieren

## Materialliste

Wir benötigen dazu folgendes:

* 1x Arduino Uno
* 1x LED
* Widerstände: 1x 220 Ohm und 1x 10k Ohm.
* 1x einen Tastknopf
* 1x ein sog. Breadboard
* 1x passiver Piepser
* Einen Satz Jumper-Kabel mit PINs auf beiden Seiten

## Die Übungen

Und hier gehts dann zu den einzelnen Übungen:
* [Übung 1: Grundstruktur](01_Grundstruktur/)
* [Übung 2: Blinken](02_Blinken/)
* [Übung 3: Externe LED](03_Externe_LED/)
* [Übung 4: Piepser](04_Piepser/)
* [Übung 3: Lichtsensor](05_Lichtsensor/)
* [Übung 3: Schalter](06_Schalter/)

